> ## Documentation Index
> Fetch the complete documentation index at: https://docs.odin.fun/llms.txt
> Use this file to discover all available pages before exploring further.

# Get user token unrealized pnl



## OpenAPI

````yaml get /user/{principal}/token/{token}/unrealized_pnl
openapi: 3.0.0
info:
  title: Odin API
  description: The Odin API documentation
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /user/{principal}/token/{token}/unrealized_pnl:
    get:
      tags:
        - Users
        - User PnL
      operationId: UserController_getUserUnrealizedPnl
      parameters:
        - name: principal
          required: true
          in: path
          schema:
            type: string
        - name: token
          required: true
          in: path
          schema:
            type: string
      responses:
        default:
          description: User Realized PnL
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/UserUnrealizedPnlEntity'
components:
  schemas:
    UserUnrealizedPnlEntity:
      type: object
      properties:
        unrealized_quantity:
          format: int64
          type: integer
        avg_buy_price:
          format: int64
          type: integer
        unrealized_pnl:
          format: int64
          type: integer
        display_unrealized_quantity:
          type: number
        display_avg_buy_price:
          type: number
        display_unrealized_pnl:
          type: number
        token_price:
          type: number
        display_token_price:
          type: number
      required:
        - unrealized_quantity
        - avg_buy_price
        - unrealized_pnl
        - display_unrealized_quantity
        - display_avg_buy_price
        - display_unrealized_pnl
        - token_price
        - display_token_price

````